curl -X POST "https://api.usegately.com/api/v1/auth/password-reset" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"email": "user@example.com",
"redirect_url": "https://mysite.com/reset-password"
}'
{
"success": true,
"message": "If an account exists for this email, a password reset link has been sent."
}
{
"error": "Redirect URL not allowed",
"message": "redirect_url must be on one of this project's domains or allowed redirect origins."
}
Authentication
Password Reset
Request a password reset email
POST
/
api
/
v1
/
auth
/
password-reset
curl -X POST "https://api.usegately.com/api/v1/auth/password-reset" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"email": "user@example.com",
"redirect_url": "https://mysite.com/reset-password"
}'
{
"success": true,
"message": "If an account exists for this email, a password reset link has been sent."
}
{
"error": "Redirect URL not allowed",
"message": "redirect_url must be on one of this project's domains or allowed redirect origins."
}
Send a password reset email to a member. The email is sent using your project’s configured sender name and email address.
The From name and address on this email is set via Email Sender Settings. If not configured, it falls back to
Gately <hello@usegately.com>.Request Body
string
required
Email address of the user
string
Page that handles the reset. The emailed link is
redirect_url with token and project query parameters added. Must be an allowed redirect URL. If omitted, your password_reset redirect rule is used, then Gately’s hosted reset page.A
redirect_url outside your project’s allowed redirect URLs returns 400 Redirect URL not allowed and no email is sent. This stops anyone from requesting a reset for your member with a link that sends the reset token to their own site.Response
boolean
Always returns true for security (doesn’t reveal if email exists)
string
Confirmation message
curl -X POST "https://api.usegately.com/api/v1/auth/password-reset" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"email": "user@example.com",
"redirect_url": "https://mysite.com/reset-password"
}'
{
"success": true,
"message": "If an account exists for this email, a password reset link has been sent."
}
{
"error": "Redirect URL not allowed",
"message": "redirect_url must be on one of this project's domains or allowed redirect origins."
}
Was this page helpful?